Linux - HOW-TO Compile Kodi from GIT - Script -

  Thread Rating:
  • 3 Vote(s) - 5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Post Reply
uNiversal Offline
Out of Memory
Posts: 6,075
Joined: Oct 2012
Reputation: 147
Location: Binary pulsar
Post: #46
Virtual thanks to the virtual beer?!

Did my post help you? ⬇ Add to my + reputation
find quote
uNiversal Offline
Out of Memory
Posts: 6,075
Joined: Oct 2012
Reputation: 147
Location: Binary pulsar
Post: #47
Updated main post.

Did my post help you? ⬇ Add to my + reputation
find quote
uNiversal Offline
Out of Memory
Posts: 6,075
Joined: Oct 2012
Reputation: 147
Location: Binary pulsar
Post: #48
New script and rewrite version updated.

Did my post help you? ⬇ Add to my + reputation
find quote
hd789 Offline
Junior Member
Posts: 9
Joined: Mar 2015
Reputation: 0
Post: #49
Hi! I gets the following error running the script:

Code:
checking for main in -lcap... yes
configure: "FFmpeg installation forced by user - installing our version"
ERROR: gnutls not found using pkg-config

If you think configure made a mistake, make sure you are using the latest
version from Git.  If the latest version fails, report the problem to the
ffmpeg-user@ffmpeg.org mailing list or IRC #ffmpeg on irc.freenode.net.
Include the log file "config.log" produced by configure as this will help
solve the problem.
Makefile:2: config.mak: No such file or directory
Makefile:59: /common.mak: No such file or directory
Makefile:100: /libavutil/Makefile: No such file or directory
Makefile:100: /library.mak: No such file or directory
Makefile:102: /doc/Makefile: No such file or directory
Makefile:185: /tests/Makefile: No such file or directory
make: *** No rule to make target '/tests/Makefile'.  Stop.
ERROR: Building ffmpeg failed
checking for FFMPEG... no
configure: error: "ffmpeg not found"
start: Unknown job: xbmc

Ideas?
find quote
hd789 Offline
Junior Member
Posts: 9
Joined: Mar 2015
Reputation: 0
Post: #50
This solved the above issue:
Code:
sudo apt-get install libgnutls-dev
But the build script failed during compile. I'll troubleshoot more later.
find quote
uNiversal Offline
Out of Memory
Posts: 6,075
Joined: Oct 2012
Reputation: 147
Location: Binary pulsar
Post: #51
I haven't updated this thread for a while, but dependencies are always changing and so is the way things are done generally so the script on main post is outdated generally.

Updated Script for intel (untested) https://gist.github.com/uNiversaI/bb410bd76d0cc7fb7524
Updated Script for Nvidia https://gist.github.com/uNiversaI/88db95a67f69a072ef9a

Use one of those, and I don't accpet half logs or portions of the failure. Need more information, like the config.log for instance on a pastebin.

thx.

Did my post help you? ⬇ Add to my + reputation
(This post was last modified: 2015-03-03 20:33 by uNiversal.)
find quote
hd789 Offline
Junior Member
Posts: 9
Joined: Mar 2015
Reputation: 0
Post: #52
Thanks! I'll try the nVidia-script, but with Airplay enabled.
find quote
uNiversal Offline
Out of Memory
Posts: 6,075
Joined: Oct 2012
Reputation: 147
Location: Binary pulsar
Post: #53
Use this one and modify the configopts to your liking https://gist.github.com/uNiversaI/88db95a67f69a072ef9a

Did my post help you? ⬇ Add to my + reputation
find quote
hd789 Offline
Junior Member
Posts: 9
Joined: Mar 2015
Reputation: 0
Post: #54
I couldn't get the script method to work. But I successfully used the script to compile libnfs and libbluray. Maybe that helped the manual compile to work.

This process worked:
Code:
sudo apt-get remove kodi
sudo apt-get install automake autopoint bison build-essential ccache cmake curl cvs default-jre fp-compiler gawk gdc gettext git-core gperf libasound2-dev libass-dev libavcodec-dev libavfilter-dev libavformat-dev libavutil-dev libbluetooth-dev libbluray-dev libbluray1 libboost-dev libboost-thread-dev libbz2-dev libcap-dev libcdio-dev libcec-dev libcec1 libcrystalhd-dev libcrystalhd3 libcurl3 libcurl4-gnutls-dev libcwiid-dev libcwiid1 libdbus-1-dev libenca-dev libflac-dev libfontconfig-dev libfreetype6-dev libfribidi-dev libglew-dev libiso9660-dev libjasper-dev libjpeg-dev libltdl-dev liblzo2-dev libmad0-dev libmicrohttpd-dev libmodplug-dev libmp3lame-dev libmpeg2-4-dev libmpeg3-dev libmysqlclient-dev libnfs-dev libogg-dev libpcre3-dev libplist-dev libpng-dev libpostproc-dev libpulse-dev libsamplerate-dev libsdl-dev libsdl-gfx1.2-dev libsdl-image1.2-dev libsdl-mixer1.2-dev libshairport-dev libsmbclient-dev libsqlite3-dev libssh-dev libssl-dev libswscale-dev libtiff-dev libtinyxml-dev libtool libudev-dev libusb-dev libva-dev libva-egl1 libva-tpi1 libvdpau-dev libvorbisenc2 libxml2-dev libxmu-dev libxrandr-dev libxrender-dev libxslt1-dev libxt-dev libyajl-dev mesa-utils nasm pmount python-dev python-imaging python-sqlite swig unzip yasm zip zlib1g-dev
sudo apt-get install git libgnutls-dev doxygen libtag1-dev
cd ~/Downloads
git clone git://github.com/xbmc/xbmc.git
cd xbmc
./bootstrap
./configure
make
sudo make
sudo make install

But the TvHeadend addon v2.1.1 compiled from source can't connect to my backend running HTS Tvheadend 3.4.28~geb79aee~trusty... Huh
find quote
uNiversal Offline
Out of Memory
Posts: 6,075
Joined: Oct 2012
Reputation: 147
Location: Binary pulsar
Post: #55
Sure, but I need to know what didnt work, not that just didnt work, if there is some issue, i would like the opportunity to fix it.

Also, scripts and processes aside, addons not working is unrelated to this and I will not event attempt to provide you or anyone with support unrelated to the script.

FYI I have people testing this script and it seem to be succeeding very well both there and in my own machine.

Where you compiling, what OS.
What errors and failures prevented your compile (where's config.log I asked for before?)

Please, if you posting here for support with script, help me help you.

Yes you need to compile libnfs, before compiling, since its newer still than version in repos and works better Else nothing should change and script should work just fine.

Btw those dependencies are wrong.

Did my post help you? ⬇ Add to my + reputation
(This post was last modified: 2015-03-03 22:26 by uNiversal.)
find quote
hd789 Offline
Junior Member
Posts: 9
Joined: Mar 2015
Reputation: 0
Smile  RE: HOW-TO Compile XBMC from GIT - Script -
Post: #56
Unfortunately I didn't save the output of the script and I can't rerun it on my production frontend since I've solved the problem now.

The solution for me was to go back to kodi 14.1. Otherwise I would have to get the beta source for the TvHeadend and compile it on my backend which wasn't an option for me.

I (and other users running TvHeadend) must learn to not accept all upgrades offered through Ubuntu's ordinary system update...

Thank you for your help and effort trying to solve my issues.
find quote
uNiversal Offline
Out of Memory
Posts: 6,075
Joined: Oct 2012
Reputation: 147
Location: Binary pulsar
Post: #57
Edit RE: the script failures.

My bad, https://gist.github.com/uNiversaI/88db95...le1-sh-L84

that line should have read CHECK_DEPS instead of SYS_CHECK, Ive corrected it, mind trying again.

So change just that line. (and any configure options you may prefer.
Then sudo apt-get purge --remove those deps you used above. then run script from the top with compile.
ya idk about libgnutls-dev, unless its pvr requirement but you can add that yourself to script Ill try and find out what gives there as dependencies always changing with master code.

Did my post help you? ⬇ Add to my + reputation
(This post was last modified: 2015-03-03 23:43 by uNiversal.)
find quote
walterbyrd Offline
Junior Member
Posts: 3
Joined: Mar 2015
Reputation: 0
Post: #58
Did not work for me:

Quote:configure: error: Could not find a required library. Please see the README for your platform.
./gcs.sh: line 48: start: command not found

I am not sure where the README is.

I am using Debian 7.6 x86_64.
find quote
uNiversal Offline
Out of Memory
Posts: 6,075
Joined: Oct 2012
Reputation: 147
Location: Binary pulsar
Post: #59
(2015-03-05 03:55)walterbyrd Wrote:  Did not work for me:

Quote:configure: error: Could not find a required library. Please see the README for your platform.
./gcs.sh: line 48: start: command not found

I am not sure where the README is.

I am using Debian 7.6 x86_64.

1) you shouldn't use the script on the first post anymore (ill update that therad when I can), its slightly outdated and Im not even sure it works for debian, in the meanwhile see the two posts above yours for updated scripts for intel/nvidia only (you may need to add libgnutls-dev to those manually)
2) readme there's a link on first post (at the bottom) to it https://github.com/xbmc/xbmc/tree/master/docs

Did my post help you? ⬇ Add to my + reputation
find quote
walterbyrd Offline
Junior Member
Posts: 3
Joined: Mar 2015
Reputation: 0
Post: #60
From the readme:

> git clone -b <branch> git://github.com/xbmc/xbmc.git kodi


What do I put for <branch> ?
find quote